package com.bonus.canteen.core.marketing.v2.rule.recharge.handler.sumamount.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel("充值规则详情-累计上限金额")
public class RechargeSumAmountDTO {
   @ApiModelProperty("统计维度(日，周，月)")
   private Integer sumType;
   @ApiModelProperty("累计上限金额")
   private @NotNull(
   message = "累计上限金额不能为空"
) BigDecimal maxAmount;

   public Integer getSumType() {
      return this.sumType;
   }

   public BigDecimal getMaxAmount() {
      return this.maxAmount;
   }

   public void setSumType(final Integer sumType) {
      this.sumType = sumType;
   }

   public void setMaxAmount(final BigDecimal maxAmount) {
      this.maxAmount = maxAmount;
   }

   public RechargeSumAmountDTO(final Integer sumType, final BigDecimal maxAmount) {
      this.sumType = sumType;
      this.maxAmount = maxAmount;
   }
}
